Summary: A network traffic monitoring tool
Name: tcpdump
Version: 3.9.8
Release: 1
License: BSD with advertising
URL: http://www.tcpdump.org
Group: Applications/Internet
Source0: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1: http://www.tcpdump.org/release/%{name}-%{version}.tar.gz.sig
Patch0: %{name}-%{version}-aix.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel >= 0.9.8, libpcap-devel >= 0.9.8
BuildRequires: sed
Requires: openssl >= 0.9.8, libpcap >= 0.9.8

%description
Tcpdump is a command-line tool for monitoring network traffic.
Tcpdump can capture and display the packet headers on a particular
network interface or on all interfaces.  Tcpdump can display all of
the packet headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --disable-ipv6
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

mv -f ${RPM_BUILD_ROOT}%{_mandir}/man1 ${RPM_BUILD_ROOT}%{_mandir}/man8

# fix section numbers
/opt/freeware/bin/sed -i 's/\(\.TH[a-zA-Z ]*\)[1-9]\(.*\)/\18\2/' \
    ${RPM_BUILD_ROOT}%{_mandir}/man8/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LICENSE README CHANGES CREDITS
%{_sbindir}/*
%{_mandir}/man8/*
/usr/linux/bin/*


%changelog
* Tue Apr 13 2010 Michael Perzl <michael@perzl.org> - 3.9.8-1
- first version for AIX V5.1 and higher
